From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/ttystatus/
Date: Fri, 12 Jul 2019 05:47:41 +0000 (UTC) [thread overview]
Message-ID: <1562910019.7cf28b9f1d6911b9c3f9a7052555dd356f78dd1e.mattst88@gentoo> (raw)
commit: 7cf28b9f1d6911b9c3f9a7052555dd356f78dd1e
Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 11 23:25:10 2019 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Jul 12 05:40:19 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7cf28b9f
dev-python/ttystatus: Version bump to 0.36
A bunch of things too:
- Port to EAPI=7
- Add Python 3 compatibility
- Fix incorrect license
- HTTPS homepage
- Depend on dev-lang/python with USE[ncurses]
Closes: https://bugs.gentoo.org/605934
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
dev-python/ttystatus/Manifest | 1 +
dev-python/ttystatus/ttystatus-0.36.ebuild | 22 ++++++++++++++++++++++
2 files changed, 23 insertions(+)
diff --git a/dev-python/ttystatus/Manifest b/dev-python/ttystatus/Manifest
index 5bab23ebb46..9fa0a0743f8 100644
--- a/dev-python/ttystatus/Manifest
+++ b/dev-python/ttystatus/Manifest
@@ -1 +1,2 @@
DIST ttystatus-0.35.tar.gz 34144 BLAKE2B 92a11676525f2db5b3bc09786ddb3651f72202eaf9edf872faa5b5cbe7c01a64bb904fa92538ddfd15e7a077b4648bb02c0ac5a60fdbee105ef2789686d6c405 SHA512 5c2b1306bb1025dbbc78b53faca3ed07b21fec6a7084517f6b58c3e195fc8a901ed71b62429af2261850e819b52a08e3b3bf3def61b06c9a9451af02f4f2dddf
+DIST ttystatus-0.36.tar.gz 30766 BLAKE2B 4fbb298a86472305a01ed7a8a41cbbea3f0e1677c8f5b349e71631d3474a59cbd65d114f55ad64339804ecb97bfc3e745cd93d09bc110c2c32f53404f898ecd8 SHA512 0005d18834eca702e4c96ab85216e3bb06fadf58555641405b2657b9f296b750d1084947d1a39c4e2c0bf0711ff859df06f1e859d6e82af41d2945e980529dcc
diff --git a/dev-python/ttystatus/ttystatus-0.36.ebuild b/dev-python/ttystatus/ttystatus-0.36.ebuild
new file mode 100644
index 00000000000..6251a3e1cb9
--- /dev/null
+++ b/dev-python/ttystatus/ttystatus-0.36.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+PYTHON_REQ_USE="ncurses"
+
+inherit distutils-r1
+
+DESCRIPTION="Terminal progress bar and status output for command line"
+HOMEPAGE="https://liw.fi/ttystatus/"
+SRC_URI="http://git.liw.fi/${PN}/snapshot/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd"
+IUSE=""
+
+python_test() {
+ "${EPYTHON}" -m unittest discover -v -p '*_tests.py' || die
+}
next reply other threads:[~2019-07-12 5:47 UTC|newest]
Thread overview: 30+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-07-12 5:47 Matt Turner [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-09-20 8:35 [gentoo-commits] repo/gentoo:master commit in: dev-python/ttystatus/ Michał Górny
2019-12-15 12:36 Pacho Ramos
2019-12-08 4:50 Matt Turner
2019-11-23 0:51 Aaron Bauman
2019-11-22 23:35 Sergei Trofimovich
2019-11-22 13:44 Matt Turner
2019-11-20 11:48 Agostino Sarubbo
2019-11-20 11:35 Agostino Sarubbo
2019-11-20 11:27 Agostino Sarubbo
2019-11-20 11:21 Agostino Sarubbo
2019-11-19 15:40 Agostino Sarubbo
2019-11-19 11:58 Agostino Sarubbo
2019-01-27 12:36 Pacho Ramos
2018-11-30 9:57 Marc Schiffbauer
2018-03-25 17:18 Markus Meier
2018-03-18 10:47 Sergei Trofimovich
2018-03-11 20:40 Matt Turner
2018-03-05 20:26 Sergei Trofimovich
2018-03-05 14:29 Mart Raudsepp
2018-03-04 9:13 Jason Zaman
2018-03-02 15:59 Tobias Klausmann
2018-02-28 22:11 Sergei Trofimovich
2018-02-28 21:49 Sergei Trofimovich
2018-02-24 7:58 Michał Górny
2018-02-23 23:37 Michał Górny
2018-02-23 23:37 Michał Górny
2017-06-19 20:40 Marc Schiffbauer
2017-03-22 19:58 Markus Meier
2016-06-27 15:23 Robin H. Johnson
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1562910019.7cf28b9f1d6911b9c3f9a7052555dd356f78dd1e.mattst88@gentoo \
--to=mattst88@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox